<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.BasDeviceSalAnalysisMapper">
  <resultMap id="BaseResultMap" type="cn.cecep.talroad.domain.BasDeviceSalAnalysis">
    <!--@mbg.generated-->
    <!--@Table bas_device_sal_analysis-->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="device_id" jdbcType="VARCHAR" property="deviceId" />
    <result column="factory_id" jdbcType="VARCHAR" property="factoryId" />
    <result column="mon_time" jdbcType="TIMESTAMP" property="monTime" />
    <result column="mon_status" jdbcType="VARCHAR" property="monStatus" />
    <result column="mon_param" jdbcType="VARCHAR" property="monParam" />
    <result column="coal_gas_status" jdbcType="VARCHAR" property="coalGasStatus" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    id, device_id, factory_id, mon_time, mon_status, mon_param, coal_gas_status
  </sql>
</mapper>